Manifest-Version: 1.0
Bnd-LastModified: 1729073455206
Bundle-ClassPath: .,lib/jackson-jaxrs-base-2.9.7.jar,lib/jackson-jaxrs
 -json-provider-2.9.7.jar,lib/jackson-module-jaxb-annotations-2.9.7.ja
 r
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Segments Asah Connector
Bundle-SymbolicName: com.liferay.segments.asah.connector
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.25.hotfix-6115-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.util;version="2.13",com.faster
 xml.jackson.databind;version="2.13",com.fasterxml.jackson.databind.cf
 g;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.
 13",com.fasterxml.jackson.databind.introspect;version="2.13",com.fast
 erxml.jackson.databind.jsonFormatVisitors;version="2.13",com.fasterxm
 l.jackson.databind.jsontype;version="2.13",com.fasterxml.jackson.data
 bind.jsontype.impl;version="2.13",com.fasterxml.jackson.databind.node
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.liferay.asset.kernel.service.pe
 rsistence;version="9.0",com.liferay.asset.list.asset.entry.query.proc
 essor;version="2.0",com.liferay.asset.list.model;version="3.0",com.li
 feray.asset.list.service;version="2.0",com.liferay.frontend.taglib.fo
 rm.navigator;version="2.0",com.liferay.petra.function;version="1.5",c
 om.liferay.petra.string;version="1.7",com.liferay.portal.configuratio
 n.metatype.annotations;version="1.5",com.liferay.portal.configuration
 .metatype.bnd.util;version="2.0",com.liferay.portal.kernel.cache;vers
 ion="13.0",com.liferay.portal.kernel.exception;version="12.2",com.lif
 eray.portal.kernel.json;version="11.0",com.liferay.portal.kernel.lang
 uage;version="11.0",com.liferay.portal.kernel.log;version="7.1",com.l
 iferay.portal.kernel.messaging;version="11.1",com.liferay.portal.kern
 el.model;version="22.0",com.liferay.portal.kernel.module.configuratio
 n;version="2.1",com.liferay.portal.kernel.module.framework;version="1
 .4",com.liferay.portal.kernel.portlet;version="20.0",com.liferay.port
 al.kernel.portlet.bridges.mvc;version="6.0",com.liferay.portal.kernel
 .scheduler;version="10.2",com.liferay.portal.kernel.security.auth;ver
 sion="5.0",com.liferay.portal.kernel.service;version="17.0",com.lifer
 ay.portal.kernel.theme;version="10.1",com.liferay.portal.kernel.util;
 version="41.0",com.liferay.portal.util;version="35.0",com.liferay.seg
 ments.constants;version="4.0",com.liferay.segments.context;version="2
 .0",com.liferay.segments.context.contributor;version="1.0",com.lifera
 y.segments.exception;version="1.3",com.liferay.segments.model;version
 ="2.0",com.liferay.segments.provider;version="1.3",com.liferay.segmen
 ts.service;version="3.1",javax.activation,javax.portlet,javax.servlet
 ,javax.servlet.http,javax.ws.rs;version="2.1",javax.ws.rs.client;vers
 ion="2.1",javax.ws.rs.core;version="2.1",javax.ws.rs.ext;version="2.1
 ",javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.annotation.
 adapters,javax.xml.parsers,org.osgi.framework;version="1.8",org.osgi.
 service.cm;version="1.6",org.w3c.dom
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Segments
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.segments.asah.connector.internal.asset.li
 st.asset.entry.query.processor,com.liferay.segments.asah.connector.in
 ternal.cache,com.liferay.segments.asah.connector.internal.client,com.
 liferay.segments.asah.connector.internal.client.constants,com.liferay
 .segments.asah.connector.internal.client.data.binding,com.liferay.seg
 ments.asah.connector.internal.client.model,com.liferay.segments.asah.
 connector.internal.client.model.util,com.liferay.segments.asah.connec
 tor.internal.client.util,com.liferay.segments.asah.connector.internal
 .configuration,com.liferay.segments.asah.connector.internal.configura
 tion.provider,com.liferay.segments.asah.connector.internal.constants,
 com.liferay.segments.asah.connector.internal.context.contributor,com.
 liferay.segments.asah.connector.internal.frontend.taglib.form.navigat
 or,com.liferay.segments.asah.connector.internal.messaging,com.liferay
 .segments.asah.connector.internal.model.listener,com.liferay.segments
 .asah.connector.internal.portlet.action,com.liferay.segments.asah.con
 nector.internal.processor,com.liferay.segments.asah.connector.interna
 l.provider,com.liferay.segments.asah.connector.internal.util,lib,com.
 fasterxml.jackson.jaxrs.annotation,com.fasterxml.jackson.jaxrs.base,c
 om.fasterxml.jackson.jaxrs.base.nocontent,com.fasterxml.jackson.jaxrs
 .cfg,com.fasterxml.jackson.jaxrs.util,com.fasterxml.jackson.jaxrs.jso
 n,com.fasterxml.jackson.jaxrs.json.annotation,com.fasterxml.jackson.m
 odule.jaxb,com.fasterxml.jackson.module.jaxb.deser,com.fasterxml.jack
 son.module.jaxb.ser
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.list.asset.entry.query.processor.AssetListAssetEntryQueryProce
 ssor";uses:="com.liferay.asset.list.asset.entry.query.processor",osgi
 .service;objectClass:List<String>="com.liferay.frontend.taglib.form.n
 avigator.FormNavigatorEntry";uses:="com.liferay.frontend.taglib.form.
 navigator",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.messaging.MessageListener";uses:="com.liferay.portal.kernel.me
 ssaging",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.model.ModelListener";uses:="com.liferay.portal.kernel.model",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.portlet
 .bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portl
 et.bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.se
 gments.asah.connector.internal.cache.AsahInterestTermCache";uses:="co
 m.liferay.segments.asah.connector.internal.cache",osgi.service;object
 Class:List<String>="com.liferay.segments.asah.connector.internal.cach
 e.AsahSegmentsEntryCache";uses:="com.liferay.segments.asah.connector.
 internal.cache",osgi.service;objectClass:List<String>="com.liferay.se
 gments.asah.connector.internal.client.JSONWebServiceClient";uses:="co
 m.liferay.segments.asah.connector.internal.client",osgi.service;objec
 tClass:List<String>="com.liferay.segments.asah.connector.internal.con
 figuration.provider.SegmentsAsahConfigurationProvider";uses:="com.lif
 eray.segments.asah.connector.internal.configuration.provider",osgi.se
 rvice;objectClass:List<String>="com.liferay.segments.asah.connector.i
 nternal.messaging.CheckIndividualSegmentsMessageListener";uses:="com.
 liferay.segments.asah.connector.internal.messaging",osgi.service;obje
 ctClass:List<String>="com.liferay.segments.asah.connector.internal.me
 ssaging.IndividualSegmentsChecker";uses:="com.liferay.segments.asah.c
 onnector.internal.messaging",osgi.service;objectClass:List<String>="c
 om.liferay.segments.asah.connector.internal.messaging.InterestTermsCh
 ecker";uses:="com.liferay.segments.asah.connector.internal.messaging"
 ,osgi.service;objectClass:List<String>="com.liferay.segments.asah.con
 nector.internal.provider.AsahInterestTermProvider";uses:="com.liferay
 .segments.asah.connector.internal.provider",osgi.service;objectClass:
 List<String>="com.liferay.segments.context.contributor.RequestContext
 Contributor";uses:="com.liferay.segments.context.contributor",osgi.se
 rvice;objectClass:List<String>="com.liferay.segments.provider.Segment
 sEntryProvider";uses:="com.liferay.segments.provider"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://liferay.com/tld/aui))",osgi.extender;filter:="(&(osgi.ex
 tender=jsp.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/t
 heme))",osgi.service;filter:="(objectClass=com.liferay.asset.list.ser
 vice.AssetListEntryService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.messaging.DestinationFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.messaging.MessageBus)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.configuration.Configuration
 Provider)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.module.framework.ModuleServiceLifecycle)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.scheduler.SchedulerEngineHelper)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.scheduler.TriggerFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.ClassNameLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Com
 panyLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.GroupLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.LayoutLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.service.UserLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.util.Portal)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.segments.asah.connector.internal.cache.AsahInterestTer
 mCache)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.segments.asah.connector.internal.cache.AsahSegmentsEntryCache)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.segm
 ents.asah.connector.internal.client.JSONWebServiceClient)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.segments.asah.
 connector.internal.configuration.provider.SegmentsAsahConfigurationPr
 ovider)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.segments.asah.connector.internal.messaging.IndividualSegmentsChe
 cker)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.segments.asah.connector.internal.messaging.InterestTermsChecker)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.segm
 ents.asah.connector.internal.provider.AsahInterestTermProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.segments
 .service.SegmentsEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.segments.service.SegmentsEntryRelLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.segments.service.SegmentsExperienceLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.segments.servic
 e.SegmentsExperimentLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.segments.service.SegmentsExperimentRel
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=j
 avax.servlet.ServletContext)";effective:=active,osgi.service;filter:=
 "(objectClass=javax.ws.rs.client.ClientBuilder)";effective:=active,os
 gi.service;filter:="(objectClass=org.osgi.service.cm.ConfigurationAdm
 in)";effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.c
 omponent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.con
 tract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.
 0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contrac
 t=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(v
 ersion=1.8))"
Service-Component: OSGI-INF/com.liferay.segments.asah.connector.intern
 al.asset.list.asset.entry.query.processor.AsahInterestTermAssetListAs
 setEntryQueryProcessor.xml,OSGI-INF/com.liferay.segments.asah.connect
 or.internal.cache.AsahInterestTermCache.xml,OSGI-INF/com.liferay.segm
 ents.asah.connector.internal.cache.AsahSegmentsEntryCache.xml,OSGI-IN
 F/com.liferay.segments.asah.connector.internal.client.JSONWebServiceC
 lientImpl.xml,OSGI-INF/com.liferay.segments.asah.connector.internal.c
 onfiguration.provider.SegmentsAsahConfigurationProvider.xml,OSGI-INF/
 com.liferay.segments.asah.connector.internal.context.contributor.Segm
 entsAsahRequestContextContributor.xml,OSGI-INF/com.liferay.segments.a
 sah.connector.internal.frontend.taglib.form.navigator.AsahInterestTer
 mFormNavigatorEntry.xml,OSGI-INF/com.liferay.segments.asah.connector.
 internal.messaging.CheckIndividualSegmentsMessageListener.xml,OSGI-IN
 F/com.liferay.segments.asah.connector.internal.messaging.IndividualSe
 gmentsChecker.xml,OSGI-INF/com.liferay.segments.asah.connector.intern
 al.messaging.IndividualSegmentsMessageListener.xml,OSGI-INF/com.lifer
 ay.segments.asah.connector.internal.messaging.InterestTermsChecker.xm
 l,OSGI-INF/com.liferay.segments.asah.connector.internal.messaging.Int
 erestTermsMessageListener.xml,OSGI-INF/com.liferay.segments.asah.conn
 ector.internal.model.listener.LayoutModelListener.xml,OSGI-INF/com.li
 feray.segments.asah.connector.internal.model.listener.SegmentsEntryMo
 delListener.xml,OSGI-INF/com.liferay.segments.asah.connector.internal
 .model.listener.SegmentsExperienceModelListener.xml,OSGI-INF/com.life
 ray.segments.asah.connector.internal.model.listener.SegmentsExperimen
 tModelListener.xml,OSGI-INF/com.liferay.segments.asah.connector.inter
 nal.model.listener.SegmentsExperimentRelModelListener.xml,OSGI-INF/co
 m.liferay.segments.asah.connector.internal.portlet.action.CalculateSe
 gmentsExperimentEstimatedDurationMVCActionCommand.xml,OSGI-INF/com.li
 feray.segments.asah.connector.internal.provider.AsahInterestTermProvi
 der.xml,OSGI-INF/com.liferay.segments.asah.connector.internal.provide
 r.AsahSegmentsEntryProvider.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /segments-asah-connector

